# Class FilterSelectorController

FilterSelector Controller

Used metadata:

- `directedFilterAttributes`: List of attribute names which should have rules already ready when using the filter tools. For WMS layers.

Used functionalities:

- `preset_layer_filter`: Name of the layer (data source) that should be toggled in the filter tool upon loading an application. Note: although this is a list, only one can be defined.
- `filterable_layers`: A list of layer names that can be filtered, if empty the component will be hidden.

- Defined in src/filters/filterselectorComponent.js:103
- Defined in src/filters/filterselectorComponent.js:709

#####
Index

### Constructors

constructor

### Properties

aRuleIsActive
active
customRules
directedRules
enableDataSourceRegistration_
featureOverlay
filtrableDataSources
gmfDataSourceBeingFiltered
gmfSavedFilters
map
readyDataSource
saveFilterManageModalShown
saveFilterName
saveFilterSaveModalShown
toolGroup
$inject

### Methods

$onDestroy

##
Constructors

### constructor

- new FilterSelectorController($scope, $timeout, gettextCatalog, gmfDataSourceBeingFiltered, gmfDataSourcesHelper, gmfSavedFilters, ngeoRuleHelper): FilterSelectorController

- #### Parameters

  - $scope: IScope

    Angular scope.

  - $timeout: ITimeoutService

    Angular timeout service.

  - gettextCatalog: gettextCatalog

    Gettext catalog.

  - gmfDataSourceBeingFiltered: DataSourceBeingFiltered

    The Gmf value service that determines the data source currently being filtered.

  - gmfDataSourcesHelper: any

    Gmf data sources helper service.

  - gmfSavedFilters: SavedFilter

    Gmf saved filters service.

  - ngeoRuleHelper: RuleHelper

    Ngeo rule helper service.

  #### Returns FilterSelectorController

  #### Ngdoc

  controller

  #### Ngname

  GmfFilterselectorController

  - Defined in src/filters/filterselectorComponent.js:117

##
Properties

### aRuleIsActive

aRuleIsActive: boolean

- Defined in src/filters/filterselectorComponent.js:227
- Defined in src/filters/filterselectorComponent.js:545

### active

active: boolean

- Defined in src/filters/filterselectorComponent.js:131
- Defined in src/filters/filterselectorComponent.js:561

### customRules

customRules: Rule[]

- Defined in src/filters/filterselectorComponent.js:232
- Defined in src/filters/filterselectorComponent.js:546
- Defined in src/filters/filterselectorComponent.js:586
- Defined in src/filters/filterselectorComponent.js:667
- Defined in src/filters/filterselectorComponent.js:676

### directedRules

directedRules: Rule[]

- Defined in src/filters/filterselectorComponent.js:237
- Defined in src/filters/filterselectorComponent.js:547
- Defined in src/filters/filterselectorComponent.js:587
- Defined in src/filters/filterselectorComponent.js:668
- Defined in src/filters/filterselectorComponent.js:677

### enableDataSourceRegistration_

enableDataSourceRegistration_: boolean

- Defined in src/filters/filterselectorComponent.js:304
- Defined in src/filters/filterselectorComponent.js:356

### featureOverlay

featureOverlay: FeatureOverlay

- Defined in src/filters/filterselectorComponent.js:214

### filtrableDataSources

filtrableDataSources: GmfDatasourceOGC[]

- Defined in src/filters/filterselectorComponent.js:242

### gmfDataSourceBeingFiltered

gmfDataSourceBeingFiltered: DataSourceBeingFiltered

The data source that can either be selected from the list or have its value set from an external source (for example: the layertree) and that requires to be ready before it can be filtered.

- Defined in src/filters/filterselectorComponent.js:164

### gmfSavedFilters

gmfSavedFilters: SavedFilter

- Defined in src/filters/filterselectorComponent.js:179

### map

map: Map

- Defined in src/filters/filterselectorComponent.js:136

### readyDataSource

readyDataSource: GmfDatasourceOGC

The data source ready to be filtered, after it has been selected and prepared.

- Defined in src/filters/filterselectorComponent.js:270
- Defined in src/filters/filterselectorComponent.js:548
- Defined in src/filters/filterselectorComponent.js:588

### saveFilterManageModalShown

saveFilterManageModalShown: boolean

- Defined in src/filters/filterselectorComponent.js:186
- Defined in src/filters/filterselectorComponent.js:299
- Defined in src/filters/filterselectorComponent.js:696

### saveFilterName

saveFilterName: string

- Defined in src/filters/filterselectorComponent.js:287
- Defined in src/filters/filterselectorComponent.js:294

### saveFilterSaveModalShown

saveFilterSaveModalShown: boolean

- Defined in src/filters/filterselectorComponent.js:281
- Defined in src/filters/filterselectorComponent.js:617
- Defined in src/filters/filterselectorComponent.js:650

### toolGroup

toolGroup: string

- Defined in src/filters/filterselectorComponent.js:141

### `Static`$inject

$inject: string[]

- Defined in src/filters/filterselectorComponent.js:709

##
Methods

### $onDestroy

- $onDestroy(): void

- Clear subscriptions.

  #### Returns void

  - Defined in src/filters/filterselectorComponent.js:326